Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core
Class JimiControl

    java.lang.Object
      |
      +--com.sun.jimi.core.JimiControl

public class JimiControl
extends java.lang.Object

Central control for managing mappings for encoders, decoders, mimetypes and filetype-detection.

Field Summary
`protected static java.util.Vector` | `decoderFactories`
`protected static java.util.Vector` | `encoderFactories`
`protected static java.util.Vector` | `extensions`
`protected static boolean` | `extensionsAllowed`
`protected static java.util.Hashtable` | `fileExtensionToDecoderMap`
`protected static java.util.Hashtable` | `fileExtensionToEncoderMap`
`protected static java.util.Hashtable` | `mimeToDecoderMap`
`protected static java.util.Hashtable` | `mimeToEncoderMap`

Constructor Summary
`JimiControl()`

Method Summary
`protected static void` | `addDecoder(JimiDecoderFactory decoder)`
`protected static void` | `addEncoder(JimiEncoderFactory encoder)`
`static void` | `addExtension(JimiExtension extension)` Add an extension to Jimi.
`protected static void` | `disableExtensions()`
`protected static JimiDecoderFactory` | `getDecoderByFileExtension(java.lang.String filename)`
`protected static JimiDecoderFactory` | `getDecoderByType(java.lang.String mimeType)`
`protected static JimiDecoderFactory` | `getDecoderForInputStream(java.io.PushbackInputStream input)`
`protected static JimiEncoderFactory` | `getEncoderByFileExtension(java.lang.String filename)`
`protected static JimiEncoderFactory` | `getEncoderByType(java.lang.String mimeType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mimeToDecoderMap

    protected static java.util.Hashtable mimeToDecoderMap

### mimeToEncoderMap

    protected static java.util.Hashtable mimeToEncoderMap

### fileExtensionToDecoderMap

    protected static java.util.Hashtable fileExtensionToDecoderMap

### fileExtensionToEncoderMap

    protected static java.util.Hashtable fileExtensionToEncoderMap

### decoderFactories

    protected static java.util.Vector decoderFactories

### encoderFactories

    protected static java.util.Vector encoderFactories

### extensions

    protected static java.util.Vector extensions

### extensionsAllowed

    protected static boolean extensionsAllowed

Constructor Detail

### JimiControl

    public JimiControl()

Method Detail

### addExtension

    public static void addExtension(JimiExtension extension)

  Add an extension to Jimi.
  Parameters:
    `extension` - the extension

### getDecoderByType

    protected static JimiDecoderFactory getDecoderByType(java.lang.String mimeType)

### getDecoderByFileExtension

    protected static JimiDecoderFactory getDecoderByFileExtension(java.lang.String filename)

### getDecoderForInputStream

    protected static JimiDecoderFactory getDecoderForInputStream(java.io.PushbackInputStream input)

### getEncoderByType

    protected static JimiEncoderFactory getEncoderByType(java.lang.String mimeType)

### getEncoderByFileExtension

    protected static JimiEncoderFactory getEncoderByFileExtension(java.lang.String filename)

### addDecoder

    protected static void addDecoder(JimiDecoderFactory decoder)

### addEncoder

    protected static void addEncoder(JimiEncoderFactory encoder)

### disableExtensions

    protected static void disableExtensions()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD